# adjustPosition

```lua
return function()
    local app = getApp();
    local myObject = app.createObject();
    wait(3);
    
    local pos = app.convertPercentToPosition(0, 0.5);
    myObject.setPosition(pos.x, pos.y); 
    --places the object in the center-left of the screen
    local speed = 5;
    while true do
        local deltaTime = yield(); --deltaTime is seconds between frames.
        pos = myObject.getPosition();
        
        if pos.x > 500 then
            yieldBreak();
        end
        
        myObject.adjustPosition(deltaTime * speed, 0); 
        --moves the object to the right by 5units per second.
    end
    
    --as soon as the script ends the object will be destroyed automatically.
    keepAlive();
end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/classes/gameobject/adjustposition.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
